Autovala y Multipackager

Recientemente saqué versiones nuevas de Autovala y Multipackager.

En el caso de Autovala, se trata de la 1.3.0. El motivo fue que en la última actualización de paquetes de mi sistema operativo se pasó a Vala 0.39. Sin embargo, este compilador busca los ficheros VAPI en el directorio de la versión 0.40. La solución consistió en no deducir el directorio donde están los ficheros VAPI a partir de la versión del compilador, sino preguntarle donde los va a buscar (para lo que basta con hacer “valac –api-version”). Con esto, Autovala puede por fin encontrar dichos ficheros y detectar automáticamente las dependencias del programa.

El cambio en Multipackager surgió, precisamente, para corregir un problema al crear los paquetes de Autovala, y es que, debido al cambio de nombre de una biblioteca desde Debian Estable a Debian SID, el fichero de configuración sólo servía para uno de ellos. La solución fue modificarlo para que sea capaz de detectar alternativas a paquetes (el comando “|” en las dependencias, para indicar que se puede poner un paquete cualquiera de una lista).

Como de costumbre, están disponibles en mi web y en mi repositorio de GIT.

Leave a Reply

Time limit is exhausted. Please reload CAPTCHA.


Utilizamos cookies para garantizar que tenga la mejor experiencia en nuestro sitio web.